<%@ Page language="C#" debug="true" %>
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="System.Xml.Schema" %>
<SCRIPT runat='server'>

    void Page_Load(Object Sender,EventArgs e)
    {
      XmlTextReader tr = new XmlTextReader(Server.MapPath("book-invalid.xml"));
      XmlValidatingReader vr = new XmlValidatingReader(tr);

      vr.ValidationType = ValidationType.Schema;
      vr.ValidationEventHandler += new ValidationEventHandler(ValidationHandler);
      vr.Schemas.Add(null, Server.MapPath("book.xsd"));

      while(vr.Read())
      {
        Response.Write("[" + vr.Name + "]" + vr.Value + "<BR>");
        if(vr.NodeType == XmlNodeType.Element)
        {
           while(vr.MoveToNextAttribute())
             Response.Write("[" + vr.Name + "]" + vr.Value + "<BR>");
        }
      }
    }

    public void ValidationHandler(Object sender, ValidationEventArgs args)
    {
      Response.Write("<P><B>Validation error</B><BR>");
      Response.Write("Severity: " + args.Severity + "<BR>");
      Response.Write("Message: " + args.Message + "<BR>");
    }

</SCRIPT>
