<% @Page language="C#" debug="true" trace="true" %>
<html>
	<HEAD>
		<TITLE>ASP.NET DataList Control</TITLE>
	</head>
	<SCRIPT runat="server">
  
	public void Page_Load(Object sender, EventArgs e)
	{
		Trace.Write("My Application", "Page_Load starting.");
		if (!IsPostBack)
		{
		Trace.Write("My Application", "IsPostBack is false;" +
								"creating data source.");
		Hashtable h = new Hashtable();
		h.Add ("SF", "San Francisco");
		h.Add ("AZ", "Arizona");
		h.Add ("CO", "Colorado");
		h.Add ("SD", "San Diego");
		h.Add ("LA", "Los Angeles");

		Trace.Write("Data binding.");
		DataList1.DataSource = h;
		DataList1.DataBind();
		}
		Trace.Write("My Application", "Page_Load ending.");
	}
 
		</SCRIPT>
		<body>
			<form runat="server" ID="Form1">
				<asp:DataList id="DataList1" runat="server" BorderColor="black" BorderWidth="1" CellPadding="3" Font-Name="Verdana" Font-Size="8pt">
					<HeaderStyle BackColor="#000000" ForeColor="#FFFF99"></HeaderStyle>
					<AlternatingItemStyle BackColor="#FFFF99"></AlternatingItemStyle>
					<HeaderTemplate>
						National League West
					</HeaderTemplate>
					<ItemTemplate>
						<%# DataBinder.Eval(Container.DataItem, "Value") %>
						[<%# DataBinder.Eval(Container.DataItem, "Key") %>]
					</ItemTemplate>
				</asp:DataList>
			</form>
		</body>
</html>
