<%@ PAGE language='c#' debug='true' trace='false' %>
<HTML>
	<HEAD>
		<TITLE>ASP.NET Browser Capabilities</TITLE>
	</HEAD>
	<BODY>
		<table width="350" border="0" cellspacing="1" cellpadding="3" bgcolor="#000000">
			<tr bgcolor="#FFFFFF">
				<td>Supports ActiveX Controls</td>
				<td><% =Request.Browser.ActiveXControls %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Is an America Online Browser</td>
				<td><% =Request.Browser.AOL %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Supports background sounds</td>
				<td><% =Request.Browser.BackgroundSounds %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Is a beta version browser</td>
				<td><% =Request.Browser.Beta %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Browser name (user-agent)</td>
				<td><% =Request.Browser.Browser %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Supports Channel Definition Format</td>
				<td><% =Request.Browser.CDF %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Common Language Runtime version</td>
				<td><% =Request.Browser.ClrVersion %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Cookies available</td>
				<td><% =Request.Browser.Cookies %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Is this a Web search engine (&quot;crawler&quot;)?</td>
				<td><% =Request.Browser.Crawler %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Version of JavaScript (ECMAScript) supported</td>
				<td><% =Request.Browser.EcmaScriptVersion %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Supports frames</td>
				<td><% =Request.Browser.Frames %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Supports client-side Java</td>
				<td><% =Request.Browser.JavaApplets %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Supports JavaScript (ECMAScript)</td>
				<td><% =Request.Browser.JavaScript %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Browser version</td>
				<td>
					<% =Request.Browser.MajorVersion + "." +
Request.Browser.MinorVersion %>
				</td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Microsoft XML Document Object Model version</td>
				<td><%=Request.Browser.MSDomVersion %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Operating system platform</td>
				<td><% =Request.Browser.Platform %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Supports HTML tables</td>
				<td><% =Request.Browser.Tables %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Client browser type</td>
				<td><% =Request.Browser.Type %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Browser supports VBScript</td>
				<td><% =Request.Browser.VBScript %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Version of client browser</td>
				<td><% =Request.Browser.Version %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>W3C HTML Document Object Model version</td>
				<td><% =Request.Browser.W3CDomVersion %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Running 16-bit Windows?</td>
				<td><% =Request.Browser.Win16 %></td>
			</tr>
			<tr bgcolor="#FFFFFF">
				<td>Running 32-bit Windows?</td>
				<td><% =Request.Browser.Win32 %></td>
			</tr>
		</table>
	</BODY>
</HTML>
